Subject: Re: bug#19390: 25.0.50; `package-activate' is too slow

From: Dmitry Gutov <[email-masked]>
Date: Wed, 17 Dec 2014 01:40:58 +0200

On 12/17/2014 01:19 AM, Stefan Monnier wrote:

> package-delete sounds clearly wrong, since we may very well install
> a new version without removing the old version.

Oh, right. `package-install', then? It can check if another version of 
the given package is already installed, and if so that do that thing.

> Eagerly reloading files is much more effective than just removing them
> from `features'.  E.g. in the case of autoloaded functions.

How about calling `unload-feature', too? It sounds nice on paper, and 
this might be a good (first?) use for it.